API7 Docs

List all SSL certificates on a gateway group

GET /apisix/admin/ssls

Deprecated

GET /apisix/admin/ssls

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Query Parameters

gateway_group_id*string

Gateway group ID. Optional when using the gateway group admin key to authenticate.

Length1 <= length
page?integer

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

Formatint32
Range1 <= value
page_size?integer

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

Formatint32
Range1 <= value
direction?string

Order to list the resources by. The sorting index follows the configuration of order_by.

Default"desc"

Value in

  • "asc"
  • "desc"
order_by?string

Index to order resources by.

Default"updated_at"

Value in

  • "created_at"
  • "updated_at"
search?string

Condition to search resources by.

labels?string

Label(s) to filter resources by. The format is labels[key]=value and should be URL-encoded.

Length1 <= length
type?string

Type of certificate. client represents certificates used by the Gateway to access upstream, and server represents certificates used by the Gateway to verify client requests.

Default"server"

Value in

  • "client"
  • "server"

Response Body

application/json

application/json

curl -X GET "$API_BASE_URL/apisix/admin/ssls?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335&search=version%253Dv2"

Successfully retrieved the paginated list of SSL certificates.

{
  "total": 1,
  "list": [
    {
      "name": "us-west-rsc",
      "desc": "Object description.",
      "snis": [
        "httpbin.org"
      ],
      "client": {
        "ca": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----",
        "skip_mtls_uri_regex": [
          "string"
        ]
      },
      "type": "server",
      "labels": {
        "version": "v2",
        "env": "prod"
      },
      "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
      "created_at": 1742288232,
      "updated_at": 1742288235,
      "exptime": 1735680000,
      "validity_start": 1714540800,
      "validity_end": 1730419200
    }
  ]
}
Complete operation details and schema variants

GET /apisix/admin/ssls

List all SSL certificates on a gateway group

IAM Action: gateway:GetSSLCertificate, Resource: arn:api7:gateway:gatewaygroup/%s

Parameters

  • gateway_group_id (query, string, required): Gateway group ID. Optional when using the gateway group admin key to authenticate.
  • page (query, integer, optional): Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
  • page_size (query, integer, optional): Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
  • direction (query, string, optional): Order to list the resources by. The sorting index follows the configuration of order_by.
  • order_by (query, string, optional): Index to order resources by.
  • search (query, string, optional): Condition to search resources by.
  • labels (query, string, optional): Label(s) to filter resources by. The format is labels[key]=value and should be URL-encoded.
  • type (query, string, optional): Type of certificate. client represents certificates used by the Gateway to access upstream, and server represents certificates used by the Gateway to verify client requests.

Responses

  • 200: Successfully retrieved the paginated list of SSL certificates.
  • allOf variant 1
  • list (array, optional): An array of resources.
  • total (integer, optional): Total number of objects.
  • allOf variant 2
  • list (array, optional): The array of SSL certificates.
  • allOf variant 1
  • list[].name (string, optional): The object name.
  • list[].desc (string, optional): The object description.
  • list[].snis (array, optional): The SNI list for matching the SSL certificate.
  • list[].client (object, optional): Client certificate.
  • list[].client.ca (string, required): Client CA certificate in PEM format.
  • list[].client.skip_mtls_uri_regex (array, optional): URI regular expressions to skip mTLS verification. Requests matching any of these patterns will bypass client certificate verification.
  • list[].type (string, optional): Type of certificate. Only support server at the moment, which represents certificates used by the Gateway to verify client requests.
  • list[].labels (object, optional): Key-value pairs of labels.
  • allOf variant 2
  • list[].id (string, optional): The object ID.
  • list[].created_at (integer, optional): The object created timestamp.
  • list[].updated_at (integer, optional): The object updated timestamp.
  • list[].exptime (integer, optional): The SSL certificate expire time.
  • list[].validity_start (integer, optional): The earliest time when the SSL certificate is used.
  • list[].validity_end (integer, optional): The latest time when the SSL certificate is used.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X GET '$API_BASE_URL/apisix/admin/ssls'